class_name Module extends Node

@onready var cpu := get_parent() as CPU

func get_register_reservation_size()->int:
	return 0

func set_reserved_registers(index:int)->void:
	pass

func get_register_types()->Dictionary[int, String]:
	return {}

func late_tick()->void:
	pass
